Bug 154764 - Pictures saved into root album folder are not shown
Summary: Pictures saved into root album folder are not shown
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Albums-MainView (show other bugs)
Version: 0.9.2
Platform: Mandriva RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-28 17:19 UTC by Angelo Naselli
Modified: 2012-06-27 11:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Naselli 2007-12-28 17:19:15 UTC
Version:           0.9.2 (using KDE KDE 3.5.7)
Installed from:    Mandriva RPMs
OS:                Linux

See mandriva bug for details:
http://qa.mandriva.com/show_bug.cgi?id=34027
From it:
At first boot digikam is asking where to store the pictures, and it suppose
where pictures are localize ? I've got my picture on /home/david/Images folder.
If i select this folder digikam does not show my pictures but only the ones
into the sub folder !
So if I want to see the picture that are into Images I should choose
/home/david but that is not possible.
Comment 1 caulier.gilles 2008-06-09 11:56:43 UTC
SVN commit 818009 by mwiesweg:

digiKam from trunk (KDE4): Scan for images in the root directory of an album root as well.

Historically, digikam had one album root and all subdirectories of this root
were used as albums. Images in the root directory itself were not included in
the collection (after all, there was no album for them).
Now that we can have multiple album roots, and the album roots are represented
with an album in the album view, this exclusion is no longer necessary.
This is important in particular for users who want to add one single directory
containing images, but no subdirs, as an extra album root. Previously this would
have resulted in one empty album, now it's still one album, but it's filled.


 M  +14 -3     collectionscanner.cpp